Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common.ampool
Class PoolMgr

    java.lang.Object
      |
      +--oracle.jbo.common.ampool.PoolMgr

public class PoolMgr
extends java.lang.Object

This class manages the Application Pool. It is a singleton instance.
View implementation of PoolMgr

Method Summary
`ApplicationPool` | `createPool(java.lang.String sName, java.lang.String sApplicationModule, java.lang.String sConnectString, java.util.Hashtable env)` Create a new Application Module pool, throws an exception if the pool is already registered.
`ApplicationPool` | `createPool(java.lang.String sName, java.lang.String sPackageName, java.lang.String sConfigName, java.util.Properties props)` Creates a new Application Module pool, throws an exception if the pool is already registered.
`ApplicationPool` | `createPool(java.lang.String sName, java.lang.String sClass, java.lang.String sApplicationModule, java.lang.String sConnectString, java.util.Hashtable env)` Create a new Application Module pool, throws an exception if the pool is already registered.
`static PoolMgr` | `getInstance()` Retrieves the singleton instance of the Pool Manager
`ApplicationPool` | `getPool(java.lang.String sName)` Returns the ApplicationPool interface for the named pool.
`java.util.Enumeration` | `getPoolNames()`
`java.util.Enumeration` | `getPools()` Returns the Enumeration interface that allows you to enumerate through all the Application Pools that are registered with the Pool Manager.
`boolean` | `isPoolCreated(java.lang.String sName)` Returns true if the pool has already been created.
`void` | `removePool(java.lang.String sName)` Removes the named pool and calls remove() method on all ApplicationModule instances that are being managed by the pool.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static PoolMgr getInstance()

  Retrieves the singleton instance of the Pool Manager

### isPoolCreated

    public boolean isPoolCreated(java.lang.String sName)

  Returns true if the pool has already been created.

### getPool

    public ApplicationPool getPool(java.lang.String sName)

  Returns the ApplicationPool interface for the named pool.

### removePool

    public void removePool(java.lang.String sName)

  Removes the named pool and calls remove() method on all ApplicationModule instances that are being managed by the pool.
  Parameters:
    `the` - name of the pool to remove.

### createPool

    public ApplicationPool createPool(java.lang.String sName,
                                      java.lang.String sClass,
                                      java.lang.String sApplicationModule,
                                      java.lang.String sConnectString,
                                      java.util.Hashtable env)
                               throws java.lang.Exception

  Create a new Application Module pool, throws an exception if the pool is already registered. The connectInfo parameter provides the necessary settings required for creating instances of Application Modules that are part of the pool. You can also specify the name of the class that implements the ApplicationPool interface. This is an important setting for users that want to provide a custom implementation of the ApplicationPool interface. The default ApplicationPool implementation is in the oracle.jbo.client.ampool.ApplicationPoolImpl class.

### createPool

    public ApplicationPool createPool(java.lang.String sName,
                                      java.lang.String sApplicationModule,
                                      java.lang.String sConnectString,
                                      java.util.Hashtable env)
                               throws java.lang.Exception

  Create a new Application Module pool, throws an exception if the pool is already registered. The connectInfo parameter provides the necessary settings required for creating instances of Application Modules that are part of the pool. You can also specify the name of the class that implements the ApplicationPool interface. This is an important setting for users that want to provide a custom implementation of the ApplicationPool interface. The default ApplicationPool implementation is in the oracle.jbo.client.ampool.ApplicationPoolImpl class.

### getPools

    public java.util.Enumeration getPools()

  Returns the Enumeration interface that allows you to enumerate through all the Application Pools that are registered with the Pool Manager.

### getPoolNames

    public java.util.Enumeration getPoolNames()

### createPool

    public ApplicationPool createPool(java.lang.String sName,
                                      java.lang.String sPackageName,
                                      java.lang.String sConfigName,
                                      java.util.Properties props)
                               throws java.lang.Exception

  Creates a new Application Module pool, throws an exception if the pool is already registered.

  This method creates an Application Module pool, based on the named AppModule Configuaraion

  The application module configuration provides the necessary settings required for creating instances of Application Modules that are part of the pool. You can also specify the name of a custom application pool implementation (implements oracle.jbo.common.ApplicationPool interface). The default ApplicationPool implementation is provided in oracle.jbo.common.ampool.ApplicationPoolImpl.

  Parameters:
    `sName` - name of the pool
    `sPackageName` - package name of the AppModule., package10, for package10.Package10Module
    `sConfigName` - named Configuration to use
    `props` - collection of additional properties to be passed to the application pool

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD